#!/usr/bin/wish
# execlog - run a program with exec and log the output
# Set window title
wm title . UbuNeo-ZX
# Create a frame for buttons and entry.
frame .top -borderwidth 30
pack .top -side top -fill x
# Create the command buttons.
button .top.quit -text "Wyjście" -command exit
set but [button .top.run -text "Uruchom" -command Run]
pack .top.quit .top.run -side right
# Create a labeled entry for the command
#label .top.l0 -text toJestText: -padx 1
label .top.l0 -text "Podaj nazwę użytkownika w formacie 'xxxxx@neostrada.pl' \n oraz hasło do połączenia Neostrady. \n"  -padx 0

label .top.l1 -text "Użytkownik" -padx 1
#entry .top.cmd1 -width 20 -textvariable command 
entry .top.cmd1 -width 20 -relief sunken -textvariable command1 
label .top.l2 -text "Hasło" -padx 2
entry .top.cmd2 -width 20 -relief sunken -textvariable command2

pack .top.l0 -side top
pack .top.l1 -side left
pack .top.cmd1 -side left -fill x -expand true
pack .top.l2 -side left
pack .top.cmd2 -side left -fill x -expand true

radiobutton .autoT -text "Połączenie Neostrady automatycznie uruchamiane przy starcie systemu" -anchor w -variable mode -value t
radiobutton .autoN -text "Połączenie będzie uruchamiane ręcznie" -anchor w -variable mode -value n
pack .autoT .autoN -side top -fill x

# Set up key binding equivalents to the buttons
bind .top.cmd1 <Return> Run
focus .top.cmd1
# Create a text widget to log the output
frame .t
set log [text .t.log -width 80 -height 10 \
   -borderwidth 2 -relief raised -setgrid true \
        -yscrollcommand {.t.scroll set}]
     scrollbar .t.scroll -command {.t.log yview}
     pack .t.scroll -side right -fill y
     pack .t.log -side left -fill both -expand true
     pack .t -side top -fill both -expand true
# Run the program and arrange to read its input
proc Run {} {
        global command1 command2 mode input log but
         if [catch {open "| ./install-ZX.sh $command1 $command2 $mode "} input] {
            $log insert end $input\n
        } else {
            fileevent $input readable Log
            $log insert end $command1\n
            $but config -text Stop -command Stop
        }
     }
# Read and log output from the program
proc Log {} {
global input log
if [eof $input] {
   Stop
 } else {
gets $input line
$log insert end $line\n
$log see end
}
}
# Stop the program and fix up the button
proc Stop {} {
    global input but
    catch {close $input}
    $but config -text "Instaluj" -command Run
}

 set myimage [image create photo -file ubuneozx.gif]

 label .imagedisplayer -image $myimage
 pack .imagedisplayer
